Summary: Creates an initial ramdisk image for preloading modules.
Name: mkinitrd
Version: 1.9
Release: 5
Group: Utilities/System
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: %{name}-%{version}.tar.gz
Requires: /bin/ash.static /sbin/insmod.static util-linux e2fsprogs fileutils grep gzip tar
BuildRoot: /var/tmp/%{name}-root

%description
Mkinitrd creates filesystem images for use as initial ramdisk (initrd)
images.  These ramdisk images are often used to preload the block
device modules (SCSI or RAID) needed to access the root filesystem.

In other words, generic kernels can be built without drivers for any
SCSI adapters which load the SCSI driver as a module.  Since the kernel
needs to read those modules, but in this case it isn't able to address
the SCSI adapter, an initial ramdisk is used.  The initial ramdisk is
loaded by the operating system loader (normally LILO) and is available
to the kernel as soon as the ramdisk is loaded.  The ramdisk image
loads the proper SCSI adapter and allows the kernel to mount the root
filesystem.  The mkinitrd program creates such a ramdisk using
information found in the /etc/conf.modules file.


%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
make BUILDROOT=$RPM_BUILD_ROOT install


%files
%defattr(-,root,root)
/sbin/mkinitrd
/usr/man/man8/mkinitrd.8


%clean
rm -rf $RPM_BUILD_ROOT
